/*
 *      Program do przegladania logow z ekg.
 *      Komenda scalania logow.
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __CMD_STATS_HH__
#define __CMD_STATS_HH__

#include <fstream>

#include "command-base.h"
#include "texts.h"

/**
 * @brief Komenda quit
 */
class cmd_stats_t : public command_base_t {
public:

	cmd_stats_t() :  command_base_t("stats"),
			_help_short(HELP_STATS_SHORT),
			_help_long(HELP_STATS_LONG)
	{
	}

	void run(const std::vector<std::string> & argv)
	{
		using namespace std;

		unsigned int size = 0;
		log_iterator i = _db->begin();
		while (i != _db->end()) {
			size += i->second.size();
			++i;
		}

		_info->print(CMD_STATS_PART1 + text_cast(_db->messages()) +
			     CMD_STATS_PART2 + text_cast(size) +
			     CMD_STATS_PART3 + text_cast(_db->size()) +
			     CMD_STATS_PART4 + text_cast(_db->statuses()) +
			     CMD_STATS_PART5 + text_cast(_db->time()),
			     ALL_INFO_FMT );

	} // run()

	virtual const std::vector<std::string> & completition_lvl2()
	{
		return _completition;
	}

	virtual const std::string & help_short()
	{
		return _help_short;
	}

	virtual const std::string & help_long()
	{
		return _help_long;
	}


private:

	std::vector<std::string> _completition;
	std::string _help_short, _help_long;
};

#endif /* __CMD_STATS_HH__ */
