/*
 *      Program do przegladania logow z ekg.
 *      Przydatne funkcje.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __STUFF_HH__
#define __STUFF_HH__

extern "C" {
	#include <ncurses.h>
}

#include <string>
#include <sstream>

/// zwraca inta odpowiadajacego zadanej kombinacji kolorow - atrybut dla ncurses
int color_pair(int fg, int bold, int bg);
/// ile znakow w str bedzie rzeczywiscie wyswietlonych
unsigned int str_lenght(const std::string & str);
/// ile znakow z str jest ukrytych - nie wyswietlanych
unsigned int str_hidden(const std::string & str);
/// formatuje czas to ludzkiej postaci
const std::string & format_date(time_t t);




/**
 * @brief Rzutowanie czegokolwiek na string.
 */
template<class C>
std::string text_cast(C c)
{
	std::stringstream stream;
	std::string str;
	stream << c;
	stream >> str;
	return str;
}


#endif /* __STUFF_HH__ */
