/*
 *      Program do przegladania logow z ekg.
 *      Teksty pojawiajace sie w programie.
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __TEXTS_HH__
#define __TEXTS_HH__

#define VERSION "2004-03-04"

// dla wszystkich plikow
// formatowanie okien (ciagi wprowadzajace)
#define ALL_ERROR_FMT   "\\c010:\\c100:\\c110:\\d "
#define ALL_INFO_FMT    "\\c010:\\c200:\\c210:\\d "
#define ALL_HELP_FMT    "\\c010:\\c600:\\c610:\\d "


// *** z pliku ui.cc
// komunikat powitalny
#define INFO_WELCOME    "\\c710ekglog\\d, wersja \\c710" VERSION\
			"\\d. copyrights (c) 2003-2004 by \\c710ukasz Bartnik\\d and "\
			"\\c710Piotr Kalinowski\\d.\n"\
			"\\c110Wcinij F1 aby uzyska pomoc.\\d"
#define INFO_WELCOME_FMT "\\c010:\\c200:\\c210:\\d "

#define STATS_PART1     "Wczytano: wiadomoci: \\c710"
#define STATS_PART2     "\\d, opisw: \\c710"
#define STATS_PART3     "\\d w czasie: \\c710"
#define STATS_PART4     "\\d sekund."

// tytuly okien
#define WINDOW_TITLE_MAIN "Okno gwne"
#define WINDOW_TITLE_INFO "Info"
#define WINDOW_TITLE_NICKS "Kontakty"
#define WINDOW_TITLE_CHATS "Rozmowy"

// informacje o bleadch w linii komend
#define ERROR_CMDLINE_1 "Bd linii komend przy znaku "
#define ERROR_CMDLINE_2 "Bd linii komend: cig rozpoczty przez \", lecz nie zakoczony"
#define ERROR_CMDLINE_3 "Nieznany bd linii komend"
#define ERROR_CMDLINE_4_B "Nieznana komenda \\c710"
#define ERROR_CMDLINE_4_E "\\d"




// pomoc dla komendy help
#define HELP_HELP_SHORT "informacja o dziaaniu polece"
#define HELP_HELP_LONG  "help [argument] podaje informacje o konkretnym poleceniu"


// pomoc dla komendy quit
#define HELP_QUIT_SHORT "zakoczenie programu"
#define HELP_QUIT_LONG  "quit koczy dziaanie programu"


// pomoc dla komendy echo
#define HELP_ECHO_SHORT "wywietla na ekran podany tekst"
#define HELP_ECHO_LONG  "echo [argumenty]: wywietla na ekranie wszystkie"\
			" swoje argumenty w podanej kolejnoci"

// pomoc dla komendy about
#define HELP_ABOUT_SHORT "informacje o dziaaniu i funkcjach programu"
#define HELP_ABOUT_LONG  "about [argument] wywietla informacje o danej funkcji programu"\
			 "\n\n   Argumenty:\n"\
			 "      scalanie - jak scali kilka oddzielnych zbiorw logw w jeden duy\n"\
			 "      program  - co warto wiedzie o programie: www, mail, etc.\n"\
			 "      autorzy  - o autorach"
#define ABOUT_ERROR_ARGS_1 "za duo argumentw"
#define ABOUT_ERROR_ARGS_2 "nieprawidowy argument"
#define ABOUT_HELP_MERGE "\\c710Scalanie\\d\n\n   Na razie niezaimplementowane"
#define ABOUT_HELP_PROGRAM "\\c710O programie\\d\n\n   strona programu: dom.comernet.pl/ekglog/"
#define ABOUT_HELP_AUTHORS "\\c710O autorach\\d\n\n  ukasz Bartnik <brat.lukasz@wp.pl>\n  Piotr Kalinowski <pitkali@o2.pl>"

// pomoc dla komendy merge
#define HELP_MERGE_SHORT        "Pozwala doczy do wczytanych logw dodatkowy plik/katalog."
#define HELP_MERGE_LONG         "merge [plik] [typ]:\ngdzie plik to cieka dostpu do pliku/katalogu, "\
				"a [typ] to dir/file okrelajcy typ dodawanych logw. Docza logi do "\
				"bazy w pamici, przeadowuje listy. Stan bazy mona sprawdzi komend stats."
#define MERGE_WRONG_PATH        "merge: Nieprawidowa cieka do pliku!"
#define MERGE_WRONG_TYPE        "merge: Nieznany typ logw!"
#define MERGE_ERROR_ARGS        "merge: Podaj dokadnie dwa argumenty!"

// pomoc dla komendy stats
#define HELP_STATS_SHORT        "Podaje informacje o bazie."
#define HELP_STATS_LONG         "Podaje krtkie statystyki o stanie bazy: ilo rozmw, wiadomoci, uinw, etc."

#define CMD_STATS_PART1         "Stan bazy:\n   wiadomoci: \\c710"
#define CMD_STATS_PART2         "\\d\n   rozmw: \\c710"
#define CMD_STATS_PART3         "\\d\n   uinw: \\c710"
#define CMD_STATS_PART4         "\\d\n   statusw: \\c710"
#define CMD_STATS_PART5         "\\d\n   czas wczytywania: \\c710"

// dla komendy find
#define HELP_FIND_SHORT         "Pozwala wyszuka dany cig w logach."
#define HELP_FIND_LONG          "find [opcje] [regexp]:\nwyszukuje w logach zadane wyraenie regularne, "\
				"wywietla w oknie informacji dane o procesie wyszukiwania oraz "\
				"aktualizuje zawarto list i okna rozmowy.\n"\
				"Ostatni argument jest traktowany zawsze jako fraza zapytania. Pozostae "\
				"argumenty, o ile wystpi, s traktowane jako opcje wyszukania. Opcje:\n"\
				"   -t - zacznij od aktualnie wybranego czatu\n"\
				"   -c - rozrniaj wielko liter\n"

#define FIND_FOUND_PART1        "Znaleziono cig \""
#define FIND_FOUND_PART2        "\": "
#define FIND_FOUND_PART3        ", "
#define FIND_FOUND_PART4        ", "

#define FIND_TOO_MANY_ARGS      "find: Za duo argumentw!"
#define FIND_NOT_FOUND          "find: Nie znaleziono."
#define FIND_WRONG_ARG_PART1	"find: Nie znana opcja: \\c710"
#define FIND_WRONG_ARG_PART2	"\\d"


// *** z pliku ui-commands.h
// Pokazuje sie po nacisnieciu klawisza f1.
#define INFO_F1 "\n   Klawisze:\n\n"\
		" \\c710Strzaki gra/d\\d - przewijanie zawartoci okien co jedn lini\n"\
		" \\c710PgUp/PgDown\\d       - jw. ale o ca dugo okna\n"\
		" \\c710Enter\\d             - w licie \\c710Rozmowy\\d zatwierdza do wywietlenia\n"\
		"                     w licie \\c710Kontakty\\d zatwierdza i przechodzi do listy \\c710Rozmowy\\d\n"\
		" \\c710Alt\\d+\\c7101\\d,\\c7102\\d,\\c7103\\d,\\c7104\\d,\\c7105\\d     - wybr aktywnego okna\n"\
		" \\c710Tab\\d               - w linii komend dopenia nazwy\n"\
		" \\c710F10\\d               - zakoczenie dziaania programu\n\n"\
		" W linii polece (\\c710Alt\\d+\\c7105\\d) wpisuje si komendy."\
		" Aby uzyska ich list wcinij \\c710F2\\d."

// oraz formatowanie dla powyzszego tekstu
#define INFO_F1_FMT "\\c010:\\c600:\\c610:\\d "


// teksty wyswietlane na pasku statusu
#define STATUS_CHOSEN_MAIN     "Okno rozmowy"
#define STATUS_CHOSEN_INFO     "Informacje"
#define STATUS_CHOSEN_NICKS    "Lista kontaktw"
#define STATUS_CHOSEN_CHATS    "Lista rozmw"
#define STATUS_CHOSEN_CMDLINE  "Linia komend"

#define CHATLIST_STATUSES       "Statusy"


// *** z pliku help.h
// napisy dla komendy help
#define HELP_SHORT_BEGIN "\n   Dostpne komendy:\n\n"
#define HELP_SHORT_END   "\nWpisz help help, aby otrzyma wicej pomocy."
#define HELP_WRONG_COMMAND "Nie ma dostpnej pomocy dla polecenia: "
#define HELP_TOO_MANY_ARGS "Zbyt duo argumentw dla komendy help."


// z pliku main.cc
// pomoc linii polecen wywolania programu
#define CMDLINE_HELP    "Program sucy do przegldania logw ekg.\n"\
			"Wicej informacji w pliku README"\
			"\n\n  Wspierane opcje:\n"\
			"   -h        Ten ekran informacji.\n"
#define ENV_ERROR       "Nie udao si poprawnie wczyta danych z pliku config lub "\
			"userlist z katalogu ~/.gg"
#define LOGFORMAT_ERROR "Niepoprawny format logw wczytany z pliku ~/.gg/config"

// *** z pliku winmain.cc
// napisy dla formatowania wyswietlanych wiadomosci
#define MSG_RECV_BEGIN	"\\c600.-- \\c700{%nick}/{%uin}\\c600 --- -- -\\c700"
#define MSG_RECV_END	"\\c600`----- ---- --- -- -\\c700"
#define MSG_RECV_MIDDLE	"\\c600| \\c700"
#define MSG_SENT_BEGIN	"\\c400.-- \\c700{%nick}/{%uin}\\c400 --- -- -\\c700"
#define MSG_SENT_END	"\\c400`----- ---- --- -- -\\c700"
#define MSG_SENT_MIDDLE	"\\c400| \\c700"


// *** z pliku dump.h
#define HELP_DUMP_SHORT	"Zrzuca zawarto okna do pliku."
#define HELP_DUMP_LONG	"dump <nazwa pliku>\n"\
			"Zrzuca zawarto okna do podanego pliku."


/// *** z pliku dellog.h
#define HELP_DELLOG_SHORT "Usuwa log z bazy"
#define HELP_DELLOG_LONG  "dellog [nick]\nUsuwa z bazy wszystkie logi dla danego kontaktu. "\
			"Domylnie wybierany jest aktualnie podwietlony nick."

#define DELLOG_DELETED_P1 "Usunito wszystkie wiadomoci dla \\c710"
#define DELLOG_DELETED_P2 "\\d/\\c710"


#endif /* __TEXTS_HH__ */
