/*
 *      Program do przegladania logow z ekg.
 *      Odpalanie i konczenie ncurses.
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __UI_BASIC_H__
#define __UI_BASIC_H__

extern "C" {
	#include <ncurses.h>
}


class ui_basic_t {
public:
	ui_basic_t()
	{
		initscr();
		cbreak();
		noecho();
	
		start_color();
		/* kolorki - pozyczone z ekg -> dev.null.pl/ekg/ */
		init_pair(7, COLOR_BLACK, COLOR_BLACK);  /* mae obejcie domylnego koloru */
		init_pair(1, COLOR_RED, COLOR_BLACK);
		init_pair(2, COLOR_GREEN, COLOR_BLACK);
		init_pair(3, COLOR_YELLOW, COLOR_BLACK);
		init_pair(4, COLOR_BLUE, COLOR_BLACK);
		init_pair(5, COLOR_MAGENTA, COLOR_BLACK);
		init_pair(6, COLOR_CYAN, COLOR_BLACK);

		#define __init_bg(x, y) \
		init_pair(x, COLOR_BLACK, y); \
		init_pair(x + 1, COLOR_RED, y); \
		init_pair(x + 2, COLOR_GREEN, y); \
		init_pair(x + 3, COLOR_YELLOW, y); \
		init_pair(x + 4, COLOR_BLUE, y); \
		init_pair(x + 5, COLOR_MAGENTA, y); \
		init_pair(x + 6, COLOR_CYAN, y); \
		init_pair(x + 7, COLOR_WHITE, y);

		__init_bg(8, COLOR_RED);
		__init_bg(16, COLOR_GREEN);
		__init_bg(24, COLOR_YELLOW);
		__init_bg(32, COLOR_BLUE);
		__init_bg(40, COLOR_MAGENTA);
		__init_bg(48, COLOR_CYAN);
		__init_bg(56, COLOR_WHITE);
		#undef __init_bg
	}

	~ui_basic_t()
	{
		endwin();
	}
};

#endif /* __UI_BASIC_H__ */
